Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 202376 - Review Request: openwebmail
Summary: Review Request: openwebmail
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-08-13 22:15 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-13 19:03:27 UTC


Attachments (Terms of Use)

Description Paul F. Johnson 2006-08-13 22:15:30 UTC
Spec URL: http://www.knox.net.nz/~nodoid/openwebmail.spec
SRPM URL: http://www.knox.net.nz/~nodoid/openwebmail-2.52-1.src.rpm
Description: 

OpenWebmail is an open source webmail system which is designed to replace Outlook (which face it, isn't hard!), but also offer spam filtering, out of office notices and everything else you'd expect from a fully-fledged webmail system

Note for reviewers : due to a large number of permission issues with this package, I've fixed the permissions and repackaged. This was also required in order to get it to install correctly (and create sane directories under BUILD. The tarball is tar.bz2 and not .gz - I don't therefore expect the md5sums to be the same.

Comment 1 Michał Bentkowski 2006-08-13 22:30:41 UTC
(In reply to comment #0)
> Note for reviewers : due to a large number of permission issues with this 
package, I've fixed the permissions and repackaged. 

IMHO, this is not good solution. I think it will be better if you report
these issues to upstream and upstream will fix it. Also, you can include
patch to fix these issues. IMHO, that's better than repackaging.

Comment 2 Paul F. Johnson 2006-08-13 23:50:31 UTC
The repackaging is for two purposes

1. To install into BUILD so that it actually works (the original spec installed
directly into /var)
2. The permissions

I've sent the changes upstream but haven't had a reply yet

Comment 3 Rex Dieter 2006-08-14 11:25:10 UTC
Re comment #1 and #2
You *really* should use pristine/upstream sources and patch/fix them instead, 
else a reviewer cannot (reasonably) confirm that they match upstream.

Comment 4 Paul F. Johnson 2006-08-14 11:30:59 UTC
Fair comment. I'll see what I can respin. Still no reply from upstream on the
fixes submitted though.

Comment 6 Bernard Johnson 2007-04-29 17:30:34 UTC
spec file and srpm give 404 errors

Comment 7 Ruben Kerkhof 2007-06-10 13:32:27 UTC
Still 404 errors...

Comment 8 Jason Tibbitts 2007-07-06 17:24:45 UTC
I think Paul is unable to work on Fedora for the time being.  I'll go ahead and
set NEEDINFO and close this ticket out if there's no response in a week; it can
always be reopened if he returns, or someone else can submit this package.

Comment 9 Jason Tibbitts 2007-07-13 19:03:27 UTC
Closing as promised.


Note You need to log in before you can comment on or make changes to this bug.